---
title: "Lists the tiers that unlock a product, entry, page or file."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo merchant API › product

`GET /v1/stores/{store}/{kind}/{id}/access_requirements`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `product:read`

## Path parameters

- `store` (`listAccessRequirements.path.store`; string, required) — The store's id.
- `kind` (`listAccessRequirements.path.kind`; string, required) — The target's kind, in the plural.
  - minLength 1
- `id` (`listAccessRequirements.path.id`; string, required)
  - minLength 1

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sherpo.io/merchant/v1/stores/<store>/<kind>/<id>/access_requirements' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/merchant/v1/stores/<store>/<kind>/<id>/access_requirements';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/merchant/v1/stores/<store>/<kind>/<id>/access_requirements"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Lists the tiers that unlock a product, entry, page or file.

#### Example

```json
[
  {
    "resource": {
      "kind": "string",
      "id": "string"
    },
    "channel": "string",
    "tier_id": "string",
    "closed": true
  }
]
```

- `resource` (`listAccessRequirements.response.200.resource`; object, required)
  - `kind` (`listAccessRequirements.response.200.resource.kind`; string, required)
  - `id` (`listAccessRequirements.response.200.resource.id`; string, required)
- `channel` (`listAccessRequirements.response.200.channel`; string, required)
- `tier_id` (`listAccessRequirements.response.200.tier_id`; any of, required)
  - any of: `string`, `null`
- `closed` (`listAccessRequirements.response.200.closed`; boolean, required)

### default

A problem; see https://api.sherpo.io/merchant/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`listAccessRequirements.response.default.type`; string, required)
  - format `uri`
- `title` (`listAccessRequirements.response.default.title`; string, required)
- `status` (`listAccessRequirements.response.default.status`; integer, required)
- `detail` (`listAccessRequirements.response.default.detail`; string, required)
- `code` (`listAccessRequirements.response.default.code`; string, optional)
- `context` (`listAccessRequirements.response.default.context`; object, optional)
- `reached_core` (`listAccessRequirements.response.default.reached_core`; boolean, optional)
- `core_answer` (`listAccessRequirements.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/merchant-api/reference/list-access-requirements/index.md
